using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {

       public static void Main()
       {		
CategoryBuilder.Create("PLAW", "当那一天真的来临", ModAPI.LoadSprite("PLAW.png"));
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                 NameOverride = "QBU10",
                   DescriptionOverride = "中国人民解放军主力反器材步枪，发射12.7x108子弹",
                 CategoryOverride = ModAPI.FindCategory("PLAW"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/QBU10.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/QBU10.png", 9f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("50 BMG");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "12.7x108mm";
                     customCartridge.Recoil *= 5f;
                     customCartridge.Damage *= 30.0f; 
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/QBU10.wav"),
                     };
                 }
             }
             ); ;
        ModAPI.Register(
        new Modification()
      {
        OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
        NameOverride = "QBU201", 
        DescriptionOverride = "中国重拳！辱华者死！",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/QBU201.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/QBU201.png",8f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/QBU201.wav"),
                     };
                 }
             }
             ); ;
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "QBZ191", 
        DescriptionOverride = "QBZ191是中国人民解放军新型突击步枪，是最新的型号，发射5.8x42子弹，这个搭配了最新的战术套件，这个可厉害了",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/QBZ191.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("QBZ191.png",7f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/QBZ191.wav"),
                                        };
                    }
                }
            );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Pistol"),
        NameOverride = "QBZ191战术配件[单发]", 
        DescriptionOverride = "QBZ191是中国人民解放军新型突击步枪，是最新的型号，发射5.8x42子弹，这个搭配了最新的战术套件，这个可厉害了",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/QBZ191.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/QBZ191.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/QBZ191.wav"),
                                        };
                    }
                }
            );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soviet Submachine Gun"),
        NameOverride = "Type79", 
        DescriptionOverride = "中国冲锋枪",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/type79.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/type79.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/type79.wav"),
                                        };
                    }
                }
            );     
        ModAPI.Register(
        new Modification()
      {
        OriginalItem = ModAPI.FindSpawnable("Rifle"),
        NameOverride = "CS LR4", 
        DescriptionOverride = "中国重拳！辱华者死！",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/CSLR4.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/CSLR4.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/CSLR4.wav"),
                     };
                 }
             }
             ); ;  
        ModAPI.Register(
        new Modification()
      {
        OriginalItem = ModAPI.FindSpawnable("Rifle"),
        NameOverride = "QBU202", 
        DescriptionOverride = "中国重拳！辱华者死！",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/QBU202.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/QBU202.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/QBU202.wav"),
                     };
                 }
             }
             ); ;
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "95-1“墨阳”套件", 
        DescriptionOverride = "95-1“墨阳”套件",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/951.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/951.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/951.wav"),
                                        };
                    }
                }
            ); 
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"),
        NameOverride = "QJY88", 
        DescriptionOverride = "88式冲锋枪，你值得拥有",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/type88.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/type88.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/QJY88.wav"),
                                        };
                    }
                }
            ); 
 ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "type81", 
        DescriptionOverride = "81步枪",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/type81.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/type81.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/951.wav"),
                                        };
                    }
                }
            );     
  ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "CSLR17 （战斗步枪型）", 
        DescriptionOverride = "CSLR17 （战斗步枪型）",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/CSLR17.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/CSLR17.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/951.wav"),
                                        };
                    }
                }
            ); 
   ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "CSLR17 （改）", 
        DescriptionOverride = "CSLR17 （改）",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/lr177.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/lr177.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/951.wav"),
                                        };
                    }
                }
            );
 ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "95-1长弩", 
        DescriptionOverride = "95-1长弩",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/951CN.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/951CN.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/951.wav"),
                                        };
                    }
                }
            ); 
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"),
        NameOverride = "QJS201", 
        DescriptionOverride = "当那一天真的来临",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/QJS201.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/QJS201.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/QJY88.wav"),
                                        };
                    }
                }
            );   
 ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Shotgun"),
        NameOverride = "95-1长长长长长消音", 
        DescriptionOverride = "整活！草！走！忽略！",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/9511.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/9511.png",9f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/951.wav"),
                                        };
                    }
                }
            ); 
         ModAPI.Register(
        new Modification()
      {
        OriginalItem = ModAPI.FindSpawnable("Rifle"),
        NameOverride = "92G斥候套件", 
        DescriptionOverride = "不是冲锋枪哦",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/92G.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/92G.png",12f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/92G.wav"),
                     };
                 }
             }
             ); ;          
                      ModAPI.Register(
        new Modification()
      {
        OriginalItem = ModAPI.FindSpawnable("Rifle"),
        NameOverride = "CF07-9", 
        DescriptionOverride = "手枪",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/CF07-9.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/CF07-9.png",15f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/CF07-9.wav"),
                     };
                 }
             }
             ); ; 
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soviet Submachine Gun"),
        NameOverride = "QCQ171冲锋枪", 
        DescriptionOverride = "中国冲锋枪",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/QCQ171.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/QCQ171.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/type79.wav"),
                                        };
                    }
                }
            );            
            ModAPI.Register(
        new Modification()
      {
        OriginalItem = ModAPI.FindSpawnable("Rifle"),
        NameOverride = "type85", 
        DescriptionOverride = "Type85",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/85.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/85.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/QBU201.wav"),
                     };
                 }
             }
             ); ;                                                                                                            
        ModAPI.Register(
        new Modification()
      {
        OriginalItem = ModAPI.FindSpawnable("Shotgun"),
        NameOverride = "QBS09", 
        DescriptionOverride = "老哥，你班长呢？他死了....什么时候?就在昨天...",
        CategoryOverride = ModAPI.FindCategory("PLAW"), 
        ThumbnailOverride = ModAPI.LoadSprite("icons/QBS09.png"), 
        AfterSpawn = (Instance) => 
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/QBS09.png",10f);
        var firearm = Instance.GetComponent<FirearmBehaviour>();
        firearm.ShotSounds = new AudioClip[]
        {
        ModAPI.LoadSound("sounds/QBS09.wav"),                           
                     };
                 }
             }
             ); ;
        } 
    }
}
// Originally uploaded by '夜星'. Do not reupload without their explicit permission.
